<?php
require_once "nusoap/lib/nusoap.php";

$username="ingloboc_inglobo";
$password="inglobo2019";
$hostname="localhost";

$dbhandle=mysql_connect($hostname, $username, $password) or die("No es posible conectarse a mysql");
$selection=mysql_select_db("ingloboc_controlproceso") or die("Base de datos no disponible");



function Buscar_norma_plantilla(){
$resultado=mysql_query("SELECT * FROM norma_plantilla WHERE sincro='1'"); //embalajes nuevos sincro=1
	while($row=mysql_fetch_array($resultado)){
		$all[]=$row;
	}
	return $all;	
		
}

function Buscar_norma_detalle_parametro($norma_id){
$resultado=mysql_query("SELECT * FROM norma_detalle_parametro WHERE norma_id='$norma_id'"); //embalajes nuevos sincro=1
	while($row=mysql_fetch_array($resultado)){
		$all[]=$row;
	}
	return $all;	
		
}

function Buscar_norma_detalle($norma_id){
$resultado=mysql_query("SELECT * FROM norma_detalle WHERE norma_id='$norma_id'"); //embalajes nuevos sincro=1
	while($row=mysql_fetch_array($resultado)){
		$all[]=$row;
	}
	return $all;	
		
}

function Editar_norma(){
$resultado=mysql_query("SELECT * FROM norma_plantilla WHERE sincro='2'"); //embalajes nuevos sincro=1
	while($row=mysql_fetch_array($resultado)){
		$all[]=$row;
	}
	return $all;	
		
}

if(!isset($HTTP_RAW_POST_DATA)){
	$HTTP_RAW_POST_DATA=file_get_contents('php://input');
}

$server=new soap_server();
$server->register("Buscar_norma_plantilla");
$server->register("Buscar_norma_detalle_parametro");
$server->register("Buscar_norma_detalle");
$server->register("Editar_norma");
$server->service($HTTP_RAW_POST_DATA);

exit;

?>